; ---------------------------------------------------------------------------
; AD HOC Queries in Paradox
;      Programming user defined query options into your applications
;
; Dan Ehrmann - Kallista, Inc.
;
; DRIVER SCRIPT - Runs procedures created by ADHOCLIB.SC
;
; These code examples may freely by used in your own applications, at
; your own risk.  Dan Ehrmann and Kallista, Inc. specifically exclude
; any liability for your use of these techniques and examples.
; ---------------------------------------------------------------------------

proc QUERY_DEMO_DRIVER()
   private KCHOICE,
           PROCNAME

   PROCNAME = "QUERY_DEMO_DRIVER"
   if not isfile("ADHOC.LIB") then
      play "ADHOCLIB"
   endif
   AUTOLIB  = "ADHOC"

   KCHOICE = "QueryByImage"
   while (true)
      showmenu
         "QueryByImage" : "See a demonstration of the Query By Image technique",
         "QueryByForm"  : "See a demonstration of the Query By Form technique",
         "QueryByMenu"  : "See a demonstration of the Query By Menu technique",
         "Finish"       : "Return to Paradox"
      default KCHOICE
      to KCHOICE

      switch
         case KCHOICE = "QueryByImage" :
            QUERY_BY_IMAGE()

         case KCHOICE = "QueryByForm" :
            QUERY_BY_FORM()

         case KCHOICE = "QueryByMenu" :
            QUERY_BY_MENU()

         otherwise :
            return

      endswitch

   endwhile

endproc

QUERY_DEMO_DRIVER()

; ------------------------------------------------- end of script