;*************************************************************************
;SCRIPT       : MEMO.SC
;WRITTEN      : 6/89
;LAST MODIFIED: 2/90
;PDOX VER     : 2.0
;AUTHOR       : M. HACKETT

;DESC: THE PURPOSE OF THIS PROGRAM IS TO ALLOW THE USER TO WORK WITH
;MEMO NUMBERS IN A MEMO NUMBER TABLE.  EVERYTIME A SECRETARY CREATES A
;MEMO OR COORD SHEET SHE/HE MUST CHECK OUT A UNIQUE MEMO NUMBER.
;MEMO NUMBERS ARE CREATED FROM THE SECRETARY'S ORGANIZATION CODE AND MEMO
;SEQUENCE NUMBER. ALSO PROVIDES THE ABILITY TO VIEW, EDIT, QUERY, GEN UNIQUE
;KEY, AND PRINT
;*************************************************************************
RESET
CLEARALL
CLEAR

SETSWAP 20000
AUTOLIB = "Procs"

CURSOR OFF
vbar = "Memo Number Application"
STYLE REVERSE
@ 3, 0 ? FORMAT ("w80,ac", vbar)
STYLE
@ 9, 0
TEXT
                     

                 P A R A D O X  U S E R ' S   C O N F E R E N C E

                     
ENDTEXT
SLEEP 1000

;Create library if does not exist
IF NOT ISFILE("PROCS.LIB") THEN
   PLAY "Procs"
ENDIF

@ 9, 0 CLEAR EOS
WHILE True
   STYLE REVERSE
   @ 3, 0 ? FORMAT ("w80,ac", vbar)
   STYLE
   @ 24, 2 ?? "Use the arrow keys to highlight your choice - Press ENTER to make selection"
   SHOWMENU
      "Generate" : "Generate Memo Number",
      "Edit"     : "Edit Memo Number",
      "View"     : "View Memo Numbers",
      "Query"    : "Search For Memo Numbers",
      "Print"    : "Print Memo Numbers",
      "Return"   : "Exit to Main Menu"
   TO vchoice

   IF vchoice = "Return" THEN ;User had indicated wants to exit program
        QUITLOOP
   ENDIF

   SWITCH
      CASE vchoice = "Generate" :
         Genlog()

      CASE vchoice = "Edit" :
         Edtlog()

      CASE vchoice = "View" :
         VIEW "Memo"
         WAIT TABLE
            PROMPT  "                   Use Arrow Keys To View File - [F2] to End"
            MESSAGE "[F2] to End"
            UNTIL "F2"
         CLEAR

      CASE vchoice = "Query" :
         Querylog()

      CASE vchoice = "Print" :
         Printlog()

   ENDSWITCH

   ;clear canvas and workspace for next memo selection
   CLEAR
   CLEARALL

ENDWHILE

CLEAR
CLEARALL
RESET
